### Method

# GLib String up

deprecated: 2.2

#### Declaration [src]

    GString*
    g_string_up (
      GString* string
    )

#### Description [src]

Converts a `GString` to uppercase.

Deprecated since: 2.2

This function uses the locale-specific `toupper()` function, which is almost never the right thing. Use `g_string_ascii_up()` or `g_utf8_strup()` instead.

#### Return value

Type: `GString`

`string`.

The returned data is owned by the instance.